using System;
using System.Collections.Generic;
using System.Text;

namespace Chapter3
{
    public class BugFlowService : IBugFlowService
    {
        public void AssignBug(Bug bug)
        {
            Console.WriteLine("Assign '{0}' to a developer", bug.Title);
        }
        public void CreateBug(Guid instanceID, Bug bug)
        {
            BugAddedArgs args = new BugAddedArgs(instanceID, bug);
            EventHandler<BugAddedArgs> ev = this.BugAdded;
            if (ev != null) 
                ev(null, args);
        }
        public event EventHandler<BugAddedArgs> BugAdded;
    }

}
