using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.Activities;

namespace Chapter3
{
    [Serializable]
    public class BugAddedArgs : ExternalDataEventArgs
    {
        public BugAddedArgs(Guid instanceId, Bug newBug)
            : base(instanceId)
        {
            _bug = newBug;
            this.WaitForIdle = true;
        }
        private Bug _bug;
        public Bug NewBug
        {
            get { return _bug; }
            set { _bug = value; }
        }
    } 

}
